try-require-please

    1.0.0 • Public • Published

    try-require-please npmjs.com The MIT License

    Try to require the given module, failing loudly with default message if module does not exists.

    code climate standard code style travis build status coverage status dependency status

    Install

    npm i try-require-please --save
    

    Usage

    For more use-cases see the tests

    const tryRequirePlease = require('try-require-please')

    tryRequirePlease

    Try to require module.

    Params

    • <name> {String}: module name to try to require
    • [wantedBy] {String}: optionally give name of module that requires it

    Example

    const simpleGet = tryRequire('simple-get', 'request-all')
    // => simpleGet module or the thrown error

    or you will see something like that

    Please install `simple-get`, because `request-all` needs it.
    Maybe `simple-get` is devDependency, because adds optional functionality?
    /home/charlike/dev/ready/try-require-please/index.js:32
        throw warnError(name, wantedBy, err)
        ^
    
    Error: Cannot find module 'simple-get'
        at Function.Module._resolveFilename (module.js:339:15)
        at Function.Module._load (module.js:290:25)
        at Module.require (module.js:367:17)
        at require (internal/module.js:16:19)
        at tryRequirePlease (/home/charlike/dev/ready/try-require-please/index.js:30:11)
        at Object.<anonymous> (/home/charlike/dev/ready/try-require-please/test.js:56:1)
        at Module._compile (module.js:413:34)
        at Object.Module._extensions..js (module.js:422:10)
        at Module.load (module.js:357:32)
        at Function.Module._load (module.js:314:12)
    

    Contributing

    Pull requests and stars are always welcome. For bugs and feature requests, please create an issue.
    But before doing anything, please read the CONTRIBUTING.md guidelines.

    Charlike Make Reagent new message to charlike freenode #charlike

    tunnckocore.tk keybase tunnckocore tunnckoCore npm tunnckoCore twitter tunnckoCore github

    Install

    npm i try-require-please

    DownloadsWeekly Downloads

    12

    Version

    1.0.0

    License

    MIT

    Last publish

    Collaborators

    • vanchoy
    • tunnckocore